﻿@page
@model Dakaris.Client.Areas.Identity.Pages.Account.LoginModel
@{
}

<div class="col-md-6 col-md-offset-2">
    <section>
        <h4>Use another service to log in.</h4>
        <hr />
        @{
            if ((Model.ExternalLogins?.Count ?? 0) == 0)
            {
                <div>
                    <p>
                        There are no external authentication services configured. See <a href="https://go.microsoft.com/fwlink/?LinkID=532715">this article</a>
                        for details on setting up this ASP.NET application to support logging in via external services.
                    </p>
                </div>
            }
            else
            {
                <button class="btn btn-primary" type="button" onclick="location.href='/ExternalLogin'"><span class="oi oi-key"></span> Login with Google</button>

                <form hidden="hidden" id="external-account" asp-page="/ExternalLogin" asp-route-returnUrl="@Model.ReturnUrl" method="post" class="form-horizontal">
                    <div>

                        <p>
                            @foreach (var provider in Model.ExternalLogins)
                            {
                                <button type="submit" class="btn btn-primary" name="provider" value="@provider.Name" title="Log in using your @provider.DisplayName account">@provider.DisplayName</button>
                            }
                        </p>
                    </div>
                </form>



            }
        }
    </section>
</div>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}